package errutils

import (
	"fmt"
	"os"
)

func CheckError(err error, ignoreFunc func(err error) bool) {
	if err != nil {
		if ignoreFunc != nil && ignoreFunc(err) {
			return
		}

		fmt.Println(err)
		os.Exit(1)
	}
}
